import type { CSSResize, HasCounterPropType, RowsPropType, TextareaProps, TextareaWatches } from '@public-ui/schema';
import { InputController } from '../@deprecated/input/controller';
import type { Generic } from 'adopted-style-sheets';
export declare class TextareaController extends InputController implements TextareaWatches {
    protected readonly component: Generic.Element.Component & TextareaProps;
    constructor(component: Generic.Element.Component & TextareaProps, name: string, host?: HTMLElement);
    private afterSyncCharCounter;
    validateHasCounter(value?: HasCounterPropType): void;
    validateMaxLength(value?: number): void;
    validatePlaceholder(value?: string): void;
    validateReadOnly(value?: boolean): void;
    validateResize(value?: CSSResize): void;
    validateRequired(value?: boolean): void;
    validateRows(value?: RowsPropType): void;
    validateValue(value?: string): void;
    componentWillLoad(): void;
}
